Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 563564 - x11-misc/lightdm no create lightdm system user
Summary: x11-misc/lightdm no create lightdm system user
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Lars Wendler (Polynomial-C)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-20 13:34 UTC by cronolio
Modified: 2019-05-20 09:24 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
lightdm ebuild that creates and uses a lightdm user (lightdm-1.26.0-r2.ebuild,4.38 KB, text/plain)
2018-08-17 06:30 UTC, Christian Widmer
Details
lightdm-1.26.0-r2.ebuild v2 (lightdm-1.26.0-r2.ebuild,4.13 KB, text/plain)
2018-08-18 16:33 UTC, Christian Widmer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description cronolio 2015-10-20 13:34:08 UTC
x11-misc/lightdm-1.10.5 no create lightdm system user

[ebuild   R    ] x11-misc/lightdm-1.10.5::gentoo  USE="gtk introspection -kde -qt4" 0 KiB


~ # cat /etc/passwd | grep lightdm
~ # 
nothing



some people may uncomment this 
[LightDM]
#greeter-user=lightdm

in /etc/lightdm/lightdm.conf
Comment 1 Alexander Tsoy 2015-10-20 13:46:00 UTC
And default user should be changed to lightdm imo. From the ebuild:

_user=${LIGHTDM_USER:=root}
Comment 2 cronolio 2016-04-23 08:15:55 UTC
UPD:
any news?
Comment 3 Christian Widmer 2018-08-17 06:30:14 UTC
Created attachment 543760 [details]
lightdm ebuild that creates and uses a lightdm user

This ebuild uses user creation stuff that has been shamelessly copied from the gdm ebuild and modified a bit. Furthermore, I used the opportunity to add a keepdir for /var/lib/lightdm-data because portage complains about creating empty directories without making sure they have a keep file in them.
I am using this ebuild myself at the moment and everything seems to work fine.
Comment 4 Christian Widmer 2018-08-18 16:33:54 UTC
Created attachment 543948 [details]
lightdm-1.26.0-r2.ebuild v2

This version of the ebuild improves on the first one by:
- using the value of the environment variable LIGHTDM_USER (defaulting to lightdm) as user to allow for customization
- removing the check if the user is in the video group that was carried over from the gdm ebuild as the scenarios where this would be necessary are limited
- removing the dodir /var/lib/lightdm-data as it is redundant with keepdir
- removing the keepdir for the home directory as it is created by esethome in pkg_setup() and thus not tracked by portage anyway
Comment 5 Larry the Git Cow gentoo-dev 2019-05-20 09:24:30 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c153424ee8ba62a055bf1d971264c8cf7a8e3d9f

commit c153424ee8ba62a055bf1d971264c8cf7a8e3d9f
Author:     Lars Wendler <polynomial-c@gentoo.org>
AuthorDate: 2019-05-20 09:07:32 +0000
Commit:     Lars Wendler <polynomial-c@gentoo.org>
CommitDate: 2019-05-20 09:24:22 +0000

    x11-misc/lightdm: Bump to version 1.30.0
    
    Added "non_root" USE flag in order to run lightdm no as root
    
    Thanks-to: Christian Widmer <CWidmer@umbrox.de>
    Closes: https://bugs.gentoo.org/563564
    Package-Manager: Portage-2.3.66, Repoman-2.3.12
    Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>

 x11-misc/lightdm/Manifest              |   1 +
 x11-misc/lightdm/lightdm-1.30.0.ebuild | 154 +++++++++++++++++++++++++++++++++
 x11-misc/lightdm/metadata.xml          |   1 +
 3 files changed, 156 insertions(+)